cmake_minimum_required(VERSION 3.20)

project(
  vector_search_cli
  VERSION 0.1.0
  LANGUAGES CXX)

add_executable(vector_search_cli main.cpp)

target_link_libraries(vector_search_cli vector_search timer)

target_compile_features(vector_search_cli PRIVATE cxx_std_20)
